This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### while
Examples |
    int i = 0;
    while (i < 80) {
      line(30, i, 80, i);
      i = i + 5;
    }
Description | Controls a sequence of repetitions. The while structure executes a series of statements continuously while the expression is true. The expression must be updated during the repetitions or the program will never "break out" of while. This function can be dangerous because the code inside the while loop will not finish until the expression inside while becomes false. It will lock out all other code from running (e.g., mouse and keyboard events will not be updated). Be careful — if used incorrectly, this can lock up your code (and sometimes even the Processing environment itself).
Syntax |
    while (expression) {
      statements
    }
Parameters |
expression | a valid expression
statements | one or more statements
Related | for

Updated on October 26, 2013 08:58:35pm PDT